Subject: Re: [PATCH V3.18] rtlwifi: Add check for get_btc_status callback

From: Murilo Opsfelder Araujo <[email-masked]>
Date: Fri, 24 Oct 2014 17:09:34 -0200

On 10/24/2014 04:13 PM, Murilo Opsfelder Araujo wrote:
> On 10/24/2014 02:39 PM, Larry Finger wrote:
> [...]
>>
>> Please try the attached patch. It replaces the second one I sent you. I
>> will probably redo it before submitting the final copy, but this should
>> work.
>>
>> Larry
>>
> Hi, Larry.
>
> I've tried your patch on top of next-20141023 and it is still crashing
> on my laptop:
>
> http://opsfelder.com/~murilo/lkml/next-20141023_plus_larry_patch_v2.jpg
>
It seems a get_btc_status() check was still missing:

diff --git a/drivers/net/wireless/rtlwifi/pci.c 
b/drivers/net/wireless/rtlwifi/pci.c
index a5a350a..ed3364d 100644
--- a/drivers/net/wireless/rtlwifi/pci.c
+++ b/drivers/net/wireless/rtlwifi/pci.c
@@ -1796,7 +1796,8 @@ static int rtl_pci_start(struct ieee80211_hw *hw)
         rtl_pci_reset_trx_ring(hw);

         rtlpci->driver_is_goingto_unload = false;
-       if (rtlpriv->cfg->ops->get_btc_status()) {
+       if (rtlpriv->cfg->ops->get_btc_status &&
+           rtlpriv->cfg->ops->get_btc_status()) {
                 rtlpriv->btcoexist.btc_ops->btc_init_variables(rtlpriv);
                 rtlpriv->btcoexist.btc_ops->btc_init_hal_vars(rtlpriv);
         }

With this minor change and Larry's latest fix_misc_desc patch, 
next-20141023 booted normally and kernel panic disappeared.

Now, there is no wifi network available or found by wlan0.

-- 
Murilo
--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html